using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using YBDevice.Application.ViewInfo;

namespace YBDevice.NWeb.Pages.Device
{
    public class AppModel : BaseModel
    {
        private IViewEngineService _viewEngineService;
        public ViewS2SDto viewdata = new ViewS2SDto();
        public AppModel(IViewEngineService viewEngineService)
        {
            _viewEngineService = viewEngineService;
        }
        public async Task OnGetAsync()
        {
            viewdata = await _viewEngineService.GetBtnListAsync();
        }
    }
}
